/*
Ascii IO: Converson to and from a stream of ASCII data.
Copyright (C) 2002, Scott Haywood

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
package scotthaywood.asciiIO;


/**
	The <code>TypeTranslatorMap</code> interface is used
	as part of the scheme to translate
	classes of which DataWriter and DataReader do not have a
	built-in knowledge.
	
	If a class has public fields to be written/read, it
	can implement this interface to provide surrogate classes
	for some of the fields based on their types.

	@see DataWriter
	@see DataReader
 *
 * @author Scott Haywood
 * @version $Revision: 1.5 $
 */
import scotthaywood.asciiIO.TypeTranslator;

public interface TypeTranslatorMap  {

	/**
	 * Return the translator for a given target type
	 */
	public TypeTranslator getTypeTranslator(Class targetClass);
	
}
