/*
Image Creator: Creates configurable images
Copyright (C) 2002, Scott Haywood

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package scotthaywood.imageCreator;

import java.awt.Color;

/**
 * <code>SimpleColor</code> is a type of Color
 * that can be read/written using the AsciiIO classes.
 * @see AsciiIO
 * @see SimpleColorTranslator
 *
 * @author Scott Haywood
 * @version $Revision: 1.6 $
 */
public class SimpleColor extends Color  {

	public SimpleColor(int x) { super(x); }
	public SimpleColor(int x, boolean hasAlpha) { super(x, hasAlpha); }
	public SimpleColor(int r, int g, int b) { super(r,g,b); }
	public SimpleColor(int r, int g, int b, int a) { super(r,g,b,a); }
	public SimpleColor(Color c) { super(c.getRGB()); }
	public static SimpleColor white = new SimpleColor(0xffffff);
	public static SimpleColor black = new SimpleColor(0);
}
